OutboundTcpConnectionPool (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.net

## Class OutboundTcpConnectionPool

- java.lang.Object
- - org.apache.cassandra.net.OutboundTcpConnectionPool

-     public class OutboundTcpConnectionPool
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OutboundTcpConnection` | `ackCon`
    `OutboundTcpConnection` | `cmdCon`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.net.InetAddress` | `endPoint()`
    `long` | `getRecentTimeouts()`
    `long` | `getTimeouts()`
    `void` | `incrementTimeout()`
    `static boolean` | `isEncryptedChannel(java.net.InetAddress address)`
    `java.net.Socket` | `newSocket()`
    `static java.net.Socket` | `newSocket(java.net.InetAddress endpoint)`
    `void` | `reset(java.net.InetAddress remoteEP)` reconnect to @param remoteEP (after the current message backlog is exhausted).
    `void` | `resetToNewerVersion(int version)`
    `void` | `start()`
    `void` | `waitForStarted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cmdCon

          public final OutboundTcpConnection cmdCon

    - #### ackCon

          public final OutboundTcpConnection ackCon

  - ### Method Detail

    - #### resetToNewerVersion

          public void resetToNewerVersion(int version)

    - #### reset

          public void reset(java.net.InetAddress remoteEP)

      reconnect to @param remoteEP (after the current message backlog is exhausted). Used by Ec2MultiRegionSnitch to force nodes in the same region to communicate over their private IPs.
      Parameters:
        `remoteEP` -

    - #### getTimeouts

          public long getTimeouts()

    - #### getRecentTimeouts

          public long getRecentTimeouts()

    - #### incrementTimeout

          public void incrementTimeout()

    - #### newSocket

          public java.net.Socket newSocket()
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newSocket

          public static java.net.Socket newSocket(java.net.InetAddress endpoint)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### endPoint

          public java.net.InetAddress endPoint()

    - #### isEncryptedChannel

          public static boolean isEncryptedChannel(java.net.InetAddress address)

    - #### start

          public void start()

    - #### waitForStarted

          public void waitForStarted()

    - #### close

          public void close()

Copyright © 2014 The Apache Software Foundation